package ejemplo.modelo2NN;
// Generated 7 ene 2023 12:20:46 by Hibernate Tools 4.3.6.Final

import java.util.ArrayList;
import java.util.List;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;

/**
 * Armas generated by hbm2java
 */
@Entity(name="ArmaNNN")
@Table(name = "armas", catalog = "bdrelaciones2NN")
public class Arma implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	private Integer id;
	
	@Column(name = "nombre", nullable = false, length = 30)
	private String nombre;
	
	@OneToMany(fetch = FetchType.LAZY, mappedBy = "arma")
	private List<PersonajeTieneArma> personajeTieneArmas = new ArrayList<PersonajeTieneArma>(0);

	public Arma() {
	}

	public Arma(String nombre) {
		this.nombre = nombre;
	}

	public Arma(String nombre, List<PersonajeTieneArma> personajeTieneArmas) {
		this.nombre = nombre;
		this.personajeTieneArmas = personajeTieneArmas;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public List<PersonajeTieneArma> getPersonajeTieneArmas() {
		return this.personajeTieneArmas;
	}

	public void setPersonajeTieneArmas(List<PersonajeTieneArma> personajeTieneArmas) {
		this.personajeTieneArmas = personajeTieneArmas;
	}
	
	@Override
	public String toString() {
		return "Arma [id=" + id + ", nombre=" + nombre + "]";
	} 

}
